io.stdout:setvbuf("no")
function love.load()
	class = require 'libraries/middleclass'

	getSourceFiles()

	love.graphics.setBackgroundColor(158, 212, 230)

	love.window.setTitle("T3TR15")

	love.graphics.setDefaultFilter("nearest", "nearest")

	blockImage = love.graphics.newImage("graphics/block.png")

	tetrisList = love.filesystem.getDirectoryItems("graphics/tetrimino")
	
	tetriminoGraphics = {}
	for k = 1, #tetrisList do
		tetriminoGraphics[k] = love.graphics.newImage("graphics/tetrimino/" .. tetrisList[k])
	end

	controls =
	{
		{"left", "right"},
		{"up", "down"}
	}

	scale = 1

	pipe = tetrimino:new(1, 1, 128, 128, Color.blue)
end

function love.update(dt)
	pipe:update(dt)
end

function love.draw()
	pipe:draw()
end

function love.keypressed(key)
	if key == "escape" then
		love.event.quit()
	end

	if key == "space" then
		pipe:rotate()
	end

	if key == "left" then
		pipe:move("left")
	elseif key == "right" then
		pipe:move()
	end
end

function getSourceFiles(directory)
	if not directory then
		directory = ""
	end

	local directoryItems = love.filesystem.getDirectoryItems(directory)

	for k = 1, #directoryItems do
		if love.filesystem.isDirectory(directoryItems[k]) then
			getSourceFiles(directory .. "/" .. directoryItems[k])
		else
			if directoryItems[k]:sub(-4) == ".lua" then
				require( directory .. "/" .. directoryItems[k]:gsub(".lua", "") )
			end
		end
	end
end